Skip to main content
GET
/
api
/
v1
/
settlements
/
{id}
Settlement'ı getir
curl --request GET \
  --url https://vpos-sandbox.payven.com.tr/api/v1/settlements/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "merchant_name": "<string>",
  "period_start": "2023-12-25",
  "period_end": "2023-12-25",
  "bank_code": "<string>",
  "currency": "<string>",
  "gross_amount": 123,
  "refund_amount": 123,
  "bank_commission": 123,
  "platform_commission": 123,
  "net_amount": 123,
  "transaction_count": 123,
  "refund_count": 123,
  "status": "<string>",
  "settled_at": "2023-11-07T05:31:56Z",
  "bank_reference": "<string>",
  "notes": "<string>",
  "created": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Path Parameters

id
string<uuid>
required

Response

OK

id
string<uuid>
merchant_id
string<uuid>
merchant_name
string | null
period_start
string<date>
period_end
string<date>
bank_code
string | null
currency
string | null
gross_amount
integer<int64>
refund_amount
integer<int64>
bank_commission
integer<int64>
platform_commission
integer<int64>
net_amount
integer<int64>
transaction_count
integer<int32>
refund_count
integer<int32>
status
string | null
settled_at
string<date-time> | null
bank_reference
string | null
notes
string | null
created
string<date-time>